﻿--
-- ModMission01
--
-- Copyright (C) GIANTS Software GmbH, Confidential, All Rights Reserved.

ModMission01 = {};

local ModMission01_mt = Class(ModMission01, DCBaseMission);

function ModMission01:new(baseDirectory)
    local self = ModMission01:superClass():new(baseDirectory, ModMission01_mt);

    self.playerStartX = -1.1;
    self.playerStartY = 1;
    self.playerStartZ = -35.4;
    self.playerRotX = Utils.degToRad(21);
    self.playerRotY = Utils.degToRad(228.5);

    return self;
end;

function ModMission01:delete()
    -- delete mission specific stuff here
    ModMission01:superClass().delete(self);
end;

function ModMission01:load()

    self.environment = Environment:new(Utils.getFilename("$data/sky/sky_town01.i3d", self.baseDirectory));
    setAmbientColor(115/255, 115/255, 125/255);
    setFog("exp", 0.001, 1, 90/255, 90/255, 95/255);

    self:loadMissionXML(Utils.getFilename("modMission01.xml", self.baseDirectory));

    self.brickwallEvent = self.events["brickwallDestroyed"];
    self.brickwallEventTriggered = false;

    ModMission01:superClass().load(self);
end;

function ModMission01:mouseEvent(posX, posY, isDown, isUp, button)
    ModMission01:superClass().mouseEvent(self, posX, posY, isDown, isUp, button);
end;

function ModMission01:keyEvent(unicode, sym, modifier, isDown)
    ModMission01:superClass().keyEvent(self, unicode, sym, modifier, isDown);
end;

function ModMission01:update(dt)
    ModMission01:superClass().update(self, dt);

    if self.isRunning then
        if self.state == BaseMission.STATE_INTRO then
            self.state = BaseMission.STATE_RUNNING;
        elseif self.state == BaseMission.STATE_RUNNING then
            if (not self.brickwallEventTriggered and self.brickwallEvent.isTriggered) then
                self.inGameMessage:showMessage(g_i18n:getText("01_SmashBrickwallCompleteCaption"), g_i18n:getText("01_SmashBrickwallCompleteMessage"), 10000, 1000);
                self.brickwallEventTriggered = true;
            end;
        end;
    end;
end;

function ModMission01:draw()
    ModMission01:superClass().draw(self);

    if self.isRunning then
       -- draw GUI stuff
    end;

end;