﻿--
-- ModMission02
--
-- Copyright (C) GIANTS Software GmbH, Confidential, All Rights Reserved.

ModMission02 = {};

local ModMission02_mt = Class(ModMission02, DCBaseMission);

function ModMission02:new(baseDirectory)
    local self = ModMission02:superClass():new(baseDirectory, ModMission02_mt);

    -- unused since this is set in the xml
    --[[self.playerStartX = -1.1;
    self.playerStartY = 1;
    self.playerStartZ = -35.4;
    self.playerRotX = Utils.degToRad(21);
    self.playerRotY = Utils.degToRad(228.5);]]

    return self;
end;

function ModMission02:delete()
    -- delete mission specific stuff here
    ModMission02:superClass().delete(self);
end;

function ModMission02:load()

    self.environment = Environment:new(Utils.getFilename("$data/sky/sky_town01.i3d", self.baseDirectory));
    setAmbientColor(115/255, 115/255, 125/255);
    setFog("exp", 0.001, 1, 90/255, 90/255, 95/255);

    self:loadMissionXML(Utils.getFilename("modMission02.xml", self.baseDirectory));

    ModMission02:superClass().load(self);
end;

function ModMission02:mouseEvent(posX, posY, isDown, isUp, button)
    ModMission02:superClass().mouseEvent(self, posX, posY, isDown, isUp, button);
end;

function ModMission02:keyEvent(unicode, sym, modifier, isDown)
    ModMission02:superClass().keyEvent(self, unicode, sym, modifier, isDown);
end;

function ModMission02:update(dt)
    ModMission02:superClass().update(self, dt);

    if self.isRunning then
        if self.state == BaseMission.STATE_INTRO then
            self.state = BaseMission.STATE_RUNNING;
        elseif self.state == BaseMission.STATE_RUNNING then
            -- do stuff
        end;
    end;
end;

function ModMission02:draw()
    ModMission02:superClass().draw(self);

    if self.isRunning then
       -- draw GUI stuff
    end;

end;